=== debian/changelog ===
lomiri-online-accounts (0.12-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1074113).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Jun 2024 12:26:14 +0200
