=== debian/control ===
Source: lomiri-online-accounts
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.5),
               debhelper-compat (= 13),
               dbus-test-runner <!nocheck>,
               pkgconf,
               qml-module-sso-onlineaccounts,
               libaccounts-qt5-dev (>= 1.15),
               libapparmor-dev,
               libglib2.0-dev,
               libnotify-dev,
               libqtdbusmock1-dev,
               libqtdbustest1-dev,
               libsignon-qt5-dev,
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev,
               qttools5-dev-tools,
               signon-plugins-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-online-accounts
Vcs-Git: https://gitlab.com/ubports/development/core/lomiri-online-accounts.git
Vcs-Browser: https://gitlab.com/ubports/development/core/lomiri-online-accounts

Package: liblomiri-online-accounts-daemon1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Lomiri Online Accounts simplified API - library
 D-Bus service implementing the simplified Online Accounts API.
 .
 This package contains the API implementation of Lomiri's simplified
 Online Accounts API.

Package: liblomiri-online-accounts-daemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
Description: Online Accounts simplified API (bindings development files)
 D-Bus service implementing the simplified Online Accounts API.
 .
 This module contains the necessary files for developing client libraries
 interfacing with the simplified Online Accounts API.

Package: liblomiri-online-accounts-qt5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends},
Description: Library for the simplified Online Accounts API
 The LomiriOnlineAccounts Qt5 library offers an Qt-based API for
 applications to use the Lomiri Online Accounts functionality.

Package: liblomiri-online-accounts-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-qt5-1 (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends},
Description: Library for the simplified Online Accounts API - development files
 The OnlineAccounts library offers an Qt-based API for applications to use
 the Online Accounts functionality.

Package: qml-module-lomiri-onlineaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Online Accounts API for QML applications
 This module provides access to the new Online Accounts API from QML
 applications.

Package: qml-module-lomiri-onlineaccounts-doc
Section: doc
Build-Profiles: <!cross>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Online Accounts API, HTML documentation
 This module provides access to the new Online Accounts API from QML
 applications.
 .
 This package contains the HTML documentation.

Package: liblomiri-online-accounts-client1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library to interact with the Lomiri Online Accounts panel
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.

Package: liblomiri-online-accounts-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-client1 (= ${binary:Version}),
Description: Library to interact with the Lomiri Online Accounts panel - development files
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains the development headers for the
 LomiriOnlineAccountsClient library.

Package: qml-module-lomiri-onlineaccounts-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Lomiri Online Accounts panel library for QML applications
 This QML module offers an API for applications to invoke Lomiri's Online
 Accounts system settings in order to request the creation/configuration
 of accounts.

Package: qml-module-lomiri-onlineaccounts-client-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri Online Accounts panel library for QML applications - documentation
 This QML module offers an API for applications to invoke Lomiri's Online
 Accounts system settings in order to request the creation/configuration
 of accounts.
 .
 This package contains the developer documentation of
 qml-module-lomiri-onlineaccounts-client.

Package: liblomiri-online-accounts-plugin1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Online Accounts plugin module for Lomiri
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This package ships the shared library of the Lomiri Online Accounts
 plugin system.

Package: liblomiri-online-accounts-plugin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-plugin1 (= ${binary:Version}),
Description: Online Accounts plugin module for Lomiri - development files
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This module contains the necessary files for developing such Lomiri
 Online Accounts plugins.

Package: qml-module-lomiri-onlineaccounts-plugin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
Description: Online Accounts plugin module for Lomiri - QML module
 The LomiriOnlineAccounts plugin system provides Lomiri applications with online
 accounts settings via a central setup mechanism in Lomiri System Settings.
 .
 This QML module offers the necessary API for using the Lomiri Online
 Accounts plugin system in QML applications.

Package: lomiri-online-accounts-client
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-online-accounts-client1 (= ${binary:Version}),
         lomiri-online-accounts-client-common (>= ${source:Version}),
Description: Tools to interact with the Lomiri Online Accounts panel
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains tools using the library so that lomiri-system-settings
 and Lomiri Online Accounts can interact with one another.

Package: lomiri-online-accounts-client-common
Architecture: all
Depends: ${misc:Depends},
Description: Tools to interact with the Lomiri Online Accounts panel - translation files
 The LomiriOnlineAccountsClient library offers an API for applications to
 invoke the Lomiri's Online Accounts system settings in order to request
 the creation/configuration of accounts.
 .
 This package contains localization files for LomiriOnlineAccountsClient
 tools.
