## lomiri-online-accounts 0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-online-accounts VERSION 0.12 LANGUAGES CXX)
+project(lomiri-online-accounts VERSION 0.13 LANGUAGES CXX)
 
 # Version to put into .pc (pkg-config) files
 set(PC_FILE_VERSION ${PROJECT_VERSION})
@@ -26,7 +26,7 @@
 
 set(CMAKE_AUTOMOC ON)
 
-set(ONLINE_ACCOUNTS_PLUGIN_DIR ${CMAKE_INSTALL_FULL_DATADIR}/accounts/qml-plugins)
+set(ONLINE_ACCOUNTS_PLUGIN_DIR ${CMAKE_INSTALL_FULL_DATADIR}/lomiri-online-accounts/qml-plugins)
 
 set(LOA_I18N_DOMAIN "${PROJECT_NAME}")
 set(SIGNONUI_I18N_DOMAIN "signon-ui")
