=== tests/online-accounts-ui/CMakeLists.txt ===
add_subdirectory(tst_access_model)
add_subdirectory(tst_browser_request)
add_subdirectory(tst_notification)
add_subdirectory(tst_provider_request)
# FIXME add_subdirectory(tst_qmlplugin) (help needed!!!)
add_subdirectory(tst_signonui_request)
