=== debian/changelog ===
lomiri-online-accounts (0.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/liblomiri-online-accounts-plugin-dev.examples:
    + White-space fix at EOF.
  * debian/control:
    + Add to D (all dev:pkgs): Requirements as requested via .pc files.
    + Assure same version of liblomiri-online-accounts-daemon is installed
      with lomiri-online-accounts-client bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Jun 2024 17:47:54 +0200
