=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libqtdbusmock1-dev,
                libqtdbustest1-dev,
                libsignon-qt5-dev,
-               qtbase5-dev (>= 5.4),
+               qtbase5-dev (>= 5.15),
                qtdeclarative5-dev,
                qttools5-dev-tools,
                signon-plugins-dev,
@@ -47,6 +47,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-online-accounts-daemon1 (= ${binary:Version}),
+         libaccounts-qt5-dev (>= 1.15),
+         qtbase5-dev (>= 5.15),
 Description: Online Accounts simplified API (bindings development files)
  D-Bus service implementing the simplified Online Accounts API.
  .
@@ -71,6 +73,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-online-accounts-qt5-1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.15),
 Pre-Depends: ${misc:Pre-Depends},
 Description: Library for the simplified Online Accounts API - development files
  The OnlineAccounts library offers an Qt-based API for applications to use
@@ -115,6 +118,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-online-accounts-client1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.15),
 Description: Library to interact with the Lomiri Online Accounts panel - development files
  The LomiriOnlineAccountsClient library offers an API for applications to
  invoke the Lomiri's Online Accounts system settings in order to request
@@ -165,6 +169,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-online-accounts-plugin1 (= ${binary:Version}),
+         qtbase5-dev (>= 5.15),
 Description: Online Accounts plugin module for Lomiri - development files
  The LomiriOnlineAccounts plugin system provides Lomiri applications with online
  accounts settings via a central setup mechanism in Lomiri System Settings.
@@ -190,6 +195,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          liblomiri-online-accounts-client1 (= ${binary:Version}),
+         liblomiri-online-accounts-daemon1 (= ${binary:Version}),
          lomiri-online-accounts-client-common (>= ${source:Version}),
 Description: Tools to interact with the Lomiri Online Accounts panel
  The LomiriOnlineAccountsClient library offers an API for applications to
