## lomiri-online-accounts 0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-online-accounts VERSION 0.13 LANGUAGES CXX)
+project(lomiri-online-accounts VERSION 0.14 LANGUAGES CXX)
 
 # Version to put into .pc (pkg-config) files
 set(PC_FILE_VERSION ${PROJECT_VERSION})
@@ -31,6 +31,7 @@
 set(LOA_I18N_DOMAIN "${PROJECT_NAME}")
 set(SIGNONUI_I18N_DOMAIN "signon-ui")
 
+add_subdirectory(click-hooks)
 add_subdirectory(online-accounts)
 add_subdirectory(online-accounts-client)
 add_subdirectory(online-accounts-daemon)
