=== online-accounts-service/src/CMakeLists.txt ===
--- 
+++ 
@@ -86,7 +86,7 @@
 )
 
 if (ENABLE_MIRCLIENT)
-    pkg_check_modules(MIRCLIENT REQUIRED mir1client mirclient)
+    pkg_search_module(MIRCLIENT REQUIRED mir1client mirclient)
     add_definitions(${MIRCLIENT_CFLAGS})
     set(MIRCLIENT_SOURCES
         mir-helper.cpp
