=== online-accounts-client/lib/module/CMakeLists.txt ===
project(LomiriOnlineAccountsClientQML LANGUAGES CXX)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${LomiriOnlineAccountsClient_SOURCE_DIR}/..
)

set(CLIENT_MODULE LomiriOnlineAccountsClientQML)
set(API_URI Lomiri.OnlineAccounts.Client)

add_library(${CLIENT_MODULE} MODULE
    plugin.cpp
)

set_target_properties(${CLIENT_MODULE} PROPERTIES
     LINK_FLAGS -Wl,--no-undefined
)

target_link_libraries(${CLIENT_MODULE}
    Qt${QT_VERSION}::Core
    Qt${QT_VERSION}::Qml
    Qt${QT_VERSION}::Quick
    lomiri-online-accounts-client
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/qmldir.in ${CMAKE_CURRENT_BINARY_DIR}/qmldir @ONLY)

# Module install

set(QT_INSTALL_QML "${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION}/qml")
set(PLUGIN_IMPORTS_DIR "${QT_INSTALL_QML}/Lomiri/OnlineAccounts/Client")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qmldir DESTINATION ${PLUGIN_IMPORTS_DIR})
install(TARGETS ${CLIENT_MODULE} DESTINATION ${PLUGIN_IMPORTS_DIR})
