=== tests/online-accounts-service/tst_libaccounts_service/CMakeLists.txt ===
pkg_check_modules(ACCOUNTSQT accounts-qt${QT_VERSION} REQUIRED)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${LomiriOnlineAccountsService_SOURCE_DIR}
    ${ACCOUNTSQT_INCLUDE_DIRS}
)

# tst_libaccounts_service

set(TEST tst_libaccounts_service)
set(SOURCES
    ${CMAKE_SOURCE_DIR}/online-accounts-common/debug.cpp
    ${LomiriOnlineAccountsService_SOURCE_DIR}/libaccounts-service.cpp
    ${LomiriOnlineAccountsService_SOURCE_DIR}/libaccounts-service.h
    tst_libaccounts_service.cpp
)

add_executable(${TEST} ${SOURCES})
target_link_libraries(${TEST}
    Qt${QT_VERSION}::Core
    Qt${QT_VERSION}::DBus
    Qt${QT_VERSION}::Test
    Qt${QT_VERSION}::Xml
    ${ACCOUNTSQT_LIBRARIES}
)
set_target_properties(${TEST} PROPERTIES AUTOMOC TRUE)
add_test(${TEST} ${XVFB_COMMAND} dbus-test-runner -t ${CMAKE_CURRENT_BINARY_DIR}/${TEST})
add_dependencies(check ${TEST})
