=== debian/changelog ===
lomiri-online-accounts (0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Update B-Ds for added click-hooks code and re-enabled online-accounts-
      ui/tst_qmlplugin in upstream release v0.14.
    + Add B: (lomiri-online-accounts-client): lomiri-system-settings-online-
      accounts (<< 0.12~). (Closes: #1074537).
  * debian/lomiri-online-accounts-client.install:
    + Update for added click-hooks.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Jul 2024 09:14:35 +0200
