## lomiri-online-accounts 0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-online-accounts VERSION 0.14 LANGUAGES CXX)
+project(lomiri-online-accounts VERSION 0.15 LANGUAGES CXX)
 
 # Version to put into .pc (pkg-config) files
 set(PC_FILE_VERSION ${PROJECT_VERSION})
@@ -27,9 +27,20 @@
 set(CMAKE_AUTOMOC ON)
 
 set(ONLINE_ACCOUNTS_PLUGIN_DIR ${CMAKE_INSTALL_FULL_DATADIR}/lomiri-online-accounts/qml-plugins)
+set(ONLINE_ACCOUNTS_PLUGIN_PRIVATE_MODULE_DIR ${CMAKE_INSTALL_FULL_LIBDIR}/lomiri-online-accounts/private)
 
 set(LOA_I18N_DOMAIN "${PROJECT_NAME}")
 set(SIGNONUI_I18N_DOMAIN "signon-ui")
+
+include(JoinPaths)
+join_paths(PC_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
+join_paths(PC_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+
+execute_process(
+    COMMAND qmake -query QT_INSTALL_QML
+    OUTPUT_VARIABLE QT_INSTALL_QML
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+)
 
 add_subdirectory(click-hooks)
 add_subdirectory(online-accounts)
@@ -55,10 +66,10 @@
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )
 endif()
 
+set(CTEST_TEST_TARGET_ALIAS "check" CACHE STRING "An alias for the built-in test target.")
+include(CTest)
 if (BUILD_TESTING)
-    enable_testing()
     find_package(Qt${QT_VERSION} COMPONENTS Test REQUIRED)
-    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
     add_subdirectory(tests)
 endif()
