=== doc/online-accounts/CMakeLists.txt ===
add_custom_target(doc-daemon ALL
                  COMMAND ${QDOC_EXECUTABLE}
                  -outputdir ${CMAKE_CURRENT_BINARY_DIR}/html
                  ${CMAKE_CURRENT_SOURCE_DIR}/lomiri-onlineaccounts2.qdocconf)
install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/qml-module-lomiri-onlineaccounts)
