=== online-accounts-client/lib/CMakeLists.txt ===
add_subdirectory(LomiriOnlineAccountsClient)
add_subdirectory(module)
