=== online-accounts-service/src/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 add_definitions(-DSIGNONUI_I18N_DOMAIN="${SIGNONUI_I18N_DOMAIN}")
 add_definitions(-DDEBUG_ENABLED)
 add_definitions(-DLOA_UI="${LOA_UI}")
-add_definitions(-DINSTALL_BIN_DIR="${CMAKE_INSTALL_BINARY_DIR}")
+add_definitions(-DINSTALL_BIN_DIR="${CMAKE_INSTALL_FULL_BINDIR}")
 add_definitions(-DQT_NO_KEYWORDS)
 
 set(LOA_SERVICE_SOURCES
