=== online-accounts-ui/src/CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 add_definitions(-DLOA_I18N_DOMAIN="${LOA_I18N_DOMAIN}")
 add_definitions(-DSIGNONUI_I18N_DOMAIN="${SIGNONUI_I18N_DOMAIN}")
 add_definitions(-DDEBUG_ENABLED)
-add_definitions(-DOAU_PLUGIN_DIR="${LomiriOnlineAccountsPlugin_PLUGIN_DIR}")
-add_definitions(-DPLUGIN_PRIVATE_MODULE_DIR="${LomiriOnlineAccountsPlugin_PLUGIN_PRIVATE_MODULE_DIR}")
+add_definitions(-DOAU_PLUGIN_DIR="${ONLINE_ACCOUNTS_PLUGIN_DIR}")
+add_definitions(-DPLUGIN_PRIVATE_MODULE_DIR="${ONLINE_ACCOUNTS_PLUGIN_PRIVATE_MODULE_DIR}")
 
 set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined")
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
