=== online-accounts/lib/CMakeLists.txt ===
add_subdirectory(qml)
add_subdirectory(qt)
