=== tests/online-accounts-daemon/CMakeLists.txt ===
#FIXME add_subdirectory(functional_tests) (help needed!!!)
