=== tests/online-accounts-service/CMakeLists.txt ===
add_subdirectory(tst_inactivity_timer)
if (NOT DISABLE_TESTS_THAT_FAIL_ON_UBUNTU_NOBLE)
    add_subdirectory(tst_libaccounts_service)
endif()
add_subdirectory(tst_service)
add_subdirectory(tst_signonui_service)
add_subdirectory(tst_ui_proxy)
