=== tests/online-accounts/CMakeLists.txt ===
add_subdirectory(OnlineAccounts)
add_subdirectory(qml_module)
