=== debian/changelog ===
lomiri-online-accounts (0.15-2) unstable; urgency=medium

  * debian/control:
    + Update B-D: on libsignon-qt5-dev and signon-plugins-dev and let it
      depend on version 8.61+git20231015.c8ad982-7~. (Closes: #1086781).
    .
    An interesting observation here is that signon-plugins-dev is
    actually a Qt6 component of signond since
    8.61+git20231015.c8ad982-7~exp1. However, only signon-plugins-common.pc
    is used from this dev:pkg and this does not explicitly enforce linking
    against Qt6. Only the headers get used from /usr/include/SignOn, no
    shared library involved. And as these headers are still usable with Qt5 +
    Qt6, this can easily go well when they are used by parts of
    lomiri-online-accounts.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Dec 2024 23:40:20 +0100

lomiri-online-accounts (0.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 31 Aug 2024 05:11:25 +0200
