=== debian/control ===
--- 
+++ 
@@ -8,19 +8,22 @@
                debhelper-compat (= 13),
                dbus-test-runner <!nocheck>,
                pkgconf,
-               qml-module-sso-onlineaccounts,
                libaccounts-qt5-dev (>= 1.15),
                libapparmor-dev,
+               libclick-dev,
                libglib2.0-dev,
                libnotify-dev,
                libqtdbusmock1-dev,
                libqtdbustest1-dev,
-               libsignon-qt5-dev,
+               libsignon-qt5-dev (>= 8.61+git20231015.c8ad982-7~),
+               qml-module-sso-onlineaccounts <!nocheck>,
+               qml-module-lomiri-test <!nocheck>,
                qtbase5-dev (>= 5.15),
                qtdeclarative5-dev,
                qttools5-dev-tools,
-               signon-plugins-dev,
+               signon-plugins-dev (>= 8.61+git20231015.c8ad982-7~),
                xauth <!nocheck>,
+               xmldiff:native <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -197,6 +200,7 @@
          liblomiri-online-accounts-client1 (= ${binary:Version}),
          liblomiri-online-accounts-daemon1 (= ${binary:Version}),
          lomiri-online-accounts-client-common (>= ${source:Version}),
+Breaks: lomiri-system-settings-online-accounts (<< 0.12~),
 Description: Tools to interact with the Lomiri Online Accounts panel
  The LomiriOnlineAccountsClient library offers an API for applications to
  invoke the Lomiri's Online Accounts system settings in order to request
